package com.ruoyi.rocketmq.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rocketmq.mapper.RmTemplateLinuxMapper;
import com.ruoyi.rocketmq.domain.RmTemplateLinux;
import com.ruoyi.rocketmq.service.IRmTemplateLinuxService;

/**
 * Linux系统监控项Service业务层处理
 * 
 * @author gyt
 * @date 2025-09-09
 */
@Service
public class RmTemplateLinuxServiceImpl implements IRmTemplateLinuxService 
{
    @Autowired
    private RmTemplateLinuxMapper rmTemplateLinuxMapper;

    /**
     * 查询Linux系统监控项
     * 
     * @param id Linux系统监控项主键
     * @return Linux系统监控项
     */
    @Override
    public RmTemplateLinux selectRmTemplateLinuxById(Long id)
    {
        return rmTemplateLinuxMapper.selectRmTemplateLinuxById(id);
    }

    /**
     * 查询Linux系统监控项列表
     * 
     * @param rmTemplateLinux Linux系统监控项
     * @return Linux系统监控项
     */
    @Override
    public List<RmTemplateLinux> selectRmTemplateLinuxList(RmTemplateLinux rmTemplateLinux)
    {
        return rmTemplateLinuxMapper.selectRmTemplateLinuxList(rmTemplateLinux);
    }

    /**
     * 新增Linux系统监控项
     * 
     * @param rmTemplateLinux Linux系统监控项
     * @return 结果
     */
    @Override
    public int insertRmTemplateLinux(RmTemplateLinux rmTemplateLinux)
    {
        rmTemplateLinux.setCreateTime(DateUtils.getNowDate());
        return rmTemplateLinuxMapper.insertRmTemplateLinux(rmTemplateLinux);
    }

    /**
     * 修改Linux系统监控项
     * 
     * @param rmTemplateLinux Linux系统监控项
     * @return 结果
     */
    @Override
    public int updateRmTemplateLinux(RmTemplateLinux rmTemplateLinux)
    {
        rmTemplateLinux.setUpdateTime(DateUtils.getNowDate());
        return rmTemplateLinuxMapper.updateRmTemplateLinux(rmTemplateLinux);
    }

    /**
     * 批量删除Linux系统监控项
     * 
     * @param ids 需要删除的Linux系统监控项主键
     * @return 结果
     */
    @Override
    public int deleteRmTemplateLinuxByIds(Long[] ids)
    {
        return rmTemplateLinuxMapper.deleteRmTemplateLinuxByIds(ids);
    }

    /**
     * 删除Linux系统监控项信息
     * 
     * @param id Linux系统监控项主键
     * @return 结果
     */
    @Override
    public int deleteRmTemplateLinuxById(Long id)
    {
        return rmTemplateLinuxMapper.deleteRmTemplateLinuxById(id);
    }
}
